Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List time schedules

GET/workspaces/{organizationId}/time-schedules
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Time schedules

timeSchedulesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
timeDatastring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/time-schedules' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "timeSchedules": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "timeData": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?